Retrieves the list of domains the logged in user has roles and permission to access
GET /users/user-domains
Operation id: UserService_GetUserDomains
Description
Permission Level: Read
Tags: UserService
Parameters
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
tenantId | string | No | tenant_id of the user, Required: false |
userId | string | No | user_id of the user to get details, Required: true |
Security
- Authorization (apiKey)
- Bearer token
Responses
200 — A successful response.
Content type: application/json
default — An unexpected error response.
Content type: application/json
Response models
200 — A successful response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
domains | array | No |
{
"type": "object",
"properties": {
"domains": {
"type": "array",
"items": {
"type": "string"
}
}
}
}
default — An unexpected error response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
code | integer (int32) | No | |
message | string | No | |
details | array | No |
{
"type": "object",
"properties": {
"code": {
"type": "integer",
"format": "int32"
},
"message": {
"type": "string"
},
"details": {
"type": "array",
"items": {
"type": "object",
"properties": {
"@type": {
"type": "string"
}
}
}
}
}
}